Bug 664155 - Review Request: ghc-data-accessor-monads-fd - A package to access state in monads-fd State Monad
Review Request: ghc-data-accessor-monads-fd - A package to access state in mo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: ghc-data-accessor ghc-monads-fd
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-18 13:49 EST by Narasimhan
Modified: 2012-07-15 10:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-15 10:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2010-12-18 13:49:06 EST
SRPM URL : https://sites.google.com/site/lakshminaras2002/home/ghc-data-accessor-monads-fd-0.2.0.2-1.fc14.src.rpm?attredirects=0&d=1

SPEC file URL : https://sites.google.com/site/lakshminaras2002/home/ghc-data-accessor-monads-fd.spec?attredirects=0&d=1

rpmlint output:

rpmlint  -i ghc-data-accessor-monads-fd*.rpm ghc-data-accessor-monads-fd.spec
ghc-data-accessor-monads-fd-prof.i686: E: devel-dependency ghc-data-accessor-monads-fd-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-data-accessor-monads-fd-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-data-accessor-monads-fd-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/data-accessor-monads-fd-0.2.0.2/libHSdata-accessor-monads-fd-0.2.0.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 1 Jens Petersen 2011-01-28 06:07:19 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Jason Tibbitts 2011-01-28 10:16:46 EST
Would it be possible for you to mark the ones you don't want reviewed as "NotReady" so that they drop out of the review queue?  I might have some time to help but I'm staring at a large pile of ghc-* tickets going back to September, many of which have not been touched at all.  If you hide some of them it will make my job much easier and potentially get the ones you want reviewed done faster.
Comment 3 Narasimhan 2011-04-03 01:54:06 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-data-accessor-monads-fd.spec

http://narasim.fedorapeople.org/package_reviews/ghc-data-accessor-monads-fd-0.2.0.3-1.fc14.src.rpm

rpmlint  -i ghc-data-accessor-monads-fd.spec ~/rpmbuild/SRPMS/ghc-data-accessor-monads-fd-0.2.0.3-1.fc14.src.rpm ~/rpmbuild/RPMS/i686/ghc-data-accessor-monads-fd-*.rpm
ghc-data-accessor-monads-fd-prof.i686: E: devel-dependency ghc-data-accessor-monads-fd-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-data-accessor-monads-fd-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-data-accessor-monads-fd-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/data-accessor-monads-fd-0.2.0.3/libHSdata-accessor-monads-fd-0.2.0.3_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 4 Ben Boeckel 2012-03-03 01:27:54 EST
Could this be updated with a new cabal2spec run?
Comment 5 Jens Petersen 2012-04-09 23:50:30 EDT
As of 0.6.5, yi no longer needs data-accessor-monads-fd.

Probably this can be closed.

Note You need to log in before you can comment on or make changes to this bug.